.wc2026-widget-swiper .swiper-wrapper {
    align-items: stretch;
}

.wc2026-widget-header {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    padding: 20px 10px 5px 10px;
}

.wc2026-widget-header-title {
    font-size: 1.1rem;
    font-weight: bold;
}

.wc2026-widget-header-right {
    display: flex;
    align-items: center;
}

.wc2026-widget-header-match-datetime {
    font-size: 0.9rem;
    color: var(--dark-green-text);
}

.wc2026-widget-header-match-datetime.mobile {
    display: none;
}

.wc2026-widget-header-label > div {
    font-size: 0.8rem;
    font-weight: 600;
    padding: 2px 5px 4px;
    border-radius: 5px;
    margin-right: 5px;
}

.wc2026-widget-header-label.mobile {
    display: none;
}

.wc2026-widget-header-live {
    background: #BD0D0D;
    background: linear-gradient(270deg, rgba(189, 13, 13, 1) 0%, rgba(241, 28, 29, 1) 100%);
    color: #FFFFFF;
}

.wc2026-widget-header-prev-match {
    background: #008301;
    color: #FFFFFF;
}

.wc2026-widget-header-next-match {
    background: #88BAFB;
    background: linear-gradient(90deg, #DBEAFE 0%, #88BAFB 100%);
    color: #1D4ED8;
}

.wc2026-widget-slide.swiper-slide {
    margin: 20px 0 0;
    height: auto;
    cursor: pointer;
}

.wc2026-widget-slide.swiper-slide:not(.live) .wc2026-widget-header-live,
.wc2026-widget-slide.swiper-slide:not(.next-match) .wc2026-widget-header-next-match,
.wc2026-widget-slide.swiper-slide:not(.prev-match) .wc2026-widget-header-prev-match
     {
        display: none;
}

.wc2026-widget-slide.swiper-slide:not(.live) .wc2026-widget-header-match-datetime,
.wc2026-widget-slide.swiper-slide:not(.next-match) .wc2026-widget-header-match-datetime,
.wc2026-widget-slide.swiper-slide:not(.prev-match) .wc2026-widget-header-match-datetime { 
        margin-left:auto;
}

.wc2026-widget-card {
    margin: 0 10px;
    height: 100%;
    border-radius: 16px;
    box-shadow: 0 4px 2px -2px rgba(0,0,0,0.24), inset 10px 10px 10px -10px rgba(0,0,0,0.24),inset -10px -10px 10px -10px rgba(0,0,0,0.24);
}


.wc2026-widget-card-info {
    display: flex;
    justify-content: center;
    padding: 20px 10px 10px 10px;
    color: #7619ac;
    flex-wrap: wrap;
    align-items: center;
}
    

.wc2026-widget-card-info > div {
    padding: 0 10px;
    border-right: solid 1px #7619ac;
}

.wc2026-widget-card-info > div:last-child{
    border-right: none;
}

.wc2026-widget-card-teams {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
}

.wc2026-widget-card-team{
    display:flex;
    flex-direction: column;
    justify-content: center;
}

.wc2026-widget-card-team.home-team{
    align-items: flex-end;
}

.wc2026-widget-card-team.away-team{
    align-items: flex-start;
}

.wc2026-widget-card-team img {
    width: 100px;
    height: auto;
    margin: 0 20px;
}

.wc2026-widget-card-team-flag-name {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    font-weight: bold;
}

.wc2026-widget-card-team.away-team .wc2026-widget-card-team-flag-name {
    flex-direction: row-reverse;
}

.wc2026-widget-card-teams-middle-wrapper {
    padding: 10px 20px;
    font-size: 3rem;
    font-weight: bold;
    min-width: 100px;
    display: flex;
    justify-content: center;
}

.wc2026-widget-card-teams-vs {
    font-size: 2.5rem;
}

.wc2026-widget-card-teams-scores {
    display: flex;
    align-items: center;
}

.wc2026-widget-card-teams-score {
    padding: 5px;
}

.wc2026-widget-card-teams-middle-wrapper:not(.have-score) .wc2026-widget-card-teams-scores {
    display: none;
}

.wc2026-widget-card-teams-middle-wrapper.have-score .wc2026-widget-card-teams-vs {
    display: none;
}


.wc2026-widget-card-more-button-row {
    display: flex;
    justify-content: center;
}

.wc2026-widget-card-more-button {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    border-radius: 5px;
    background: var(--dark-green);
    color: #ffffff;
    font-size: 0.9rem;
    padding: 10px 30px;
    margin: 5px 0 20px;
    box-shadow: 0px 4px 22.4px 0px #00000033;
}

.wc2026-widget-card-more-button img {
    margin-left: 10px;
}

.wc2026-widget-card-more-button:hover {
    color: var(--dark-green);
}

.wc2026-widget-card-more-button:hover img {
    filter: brightness(0) saturate(100%) invert(17%) sepia(33%) saturate(1032%) hue-rotate(128deg) brightness(92%) contrast(101%);
}

.wc2026-widget-swiper-pagination-wrapper{
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    margin-top: 10px;
}

.wc2026-widget-swiper-pagination {
    border: solid 1px #c8c8c8;
    box-shadow: 0px 0px 4px 0px #00000040 inset;
    display: inline-block;
    width: max-content !important;
    padding: 3px 16px;
    border-radius: 20px;
}

.wc2026-widget-swiper-pagination span.swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
    background: var(--dark-green);
    box-shadow: 0px 4px 4px 0px #00000040 inset;
}

.wc2026-widget-swiper-pagination span.swiper-pagination-bullet.swiper-pagination-bullet-active{
    background: var(--dark-green);
    box-shadow: 0px 0px 4px 0px var(--dark-green);
}

.wc2026-widget-swiper-button-prev,
.wc2026-widget-swiper-button-next {
    color: var(--dark-green) !important;
    width: 15px !important;
    height: 15px !important;
    margin: 0 10px !important;
    position: unset !important;
}

.wc2026-widget-swiper-button-prev:after,
.wc2026-widget-swiper-button-next:after {
    font-size: 20px !important;
}

@media (max-width:600px){
    .wc2026-widget-slide.swiper-slide{
        margin: 10px 0 0 0;
    }
    .wc2026-widget-header-match-datetime.desktop{
        display: none;
    }
    .wc2026-widget-header-match-datetime.mobile{
        display: block;
        font-size: 0.8rem;
    }
    .wc2026-widget-card{
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }
    .wc2026-widget-card-info{
        width:100%;
        padding: 10px 10px 0px 10px;
    }

    .wc2026-widget-card-teams{
        padding: 0px 10px;
        justify-content: space-between;
    }

    .wc2026-widget-card-more-button {
        border-radius: unset;
        background: transparent;
        color: var(--dark-green);
        padding: 5px;
        box-shadow: unset;
        border-bottom: 1px solid var(--dark-green);
    }

    .wc2026-widget-card-more-button img {
        filter: brightness(0) saturate(100%) invert(17%) sepia(33%) saturate(1032%) hue-rotate(128deg) brightness(92%) contrast(101%);
    }

    .wc2026-widget-card-team-flag-name{
      flex-direction: row;
      font-size: 1rem;
    }

    .wc2026-widget-card-team-flag-name img{
        width: 30px;
    }

    .wc2026-widget-card-teams-middle-wrapper{
        font-size: 2rem;
        min-width: unset;
    }

    .wc2026-widget-card-teams-vs {
        font-size: 1.5rem;
    }

    .wc2026-widget-swiper-pagination{
        padding: 0;
        border: none;
    }

    .wc2026-widget-header{
        align-items: flex-start;
        justify-content: space-between;
        white-space: nowrap;
    }

    .wc2026-widget-header-title {
        font-size: 0.9rem
    }

    .wc2026-widget-header-label.desktop {
        display: none;
    }
    .wc2026-widget-header-label.mobile {
        display: flex;
    }
}